# Generate encounter URL

```
POST 
/encounters/url
```

Generate a URL to access an existing Nabla encounter. Navigating to this url will log in the provider into Nabla automatically, and open the app on this encounter.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The encounter URL.

## Operation spec

```json
{
  "method": "post",
  "path": "/encounters/url",
  "operationId": "generate-encounters-url",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "description": "Input data required to generate an encounter URL, IDs should be the ones from your EHR system.",
          "properties": {
            "external_encounter_id": {
              "type": "string"
            },
            "external_provider_id": {
              "type": "string"
            }
          },
          "required": [
            "external_encounter_id",
            "external_provider_id"
          ],
          "title": "generate_encounter_url_request"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The encounter URL.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "The encounter URL response.",
            "properties": {
              "encounter_url": {
                "type": "string",
                "description": "URL to open the created encounter."
              }
            },
            "title": "encounter_url_response"
          }
        }
      }
    }
  }
}
```
